Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.xmlpad.bean
Class XMLEntityResolver

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--com.japisoft.xmlpad.bean.XMLEntityResolver

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class XMLEntityResolver
extends java.util.Hashtable

Resolver for XML entity.

Version:
  1.0
Author:
  (c) 2002 JAPISoft
See Also:
  Serialized Form

Nested Class Summary
`class` | `XMLEntityResolver.TemporaryCharacter`

Field Summary
`static java.lang.String` | `AMP_ENTITY`
`static java.lang.String` | `GT_ENTITY`
`static java.lang.String` | `LT_ENTITY`
`static java.lang.String` | `QUOTE_ENTITY`

Constructor Summary
`XMLEntityResolver()`

Method Summary
`char` | `getEntityResolution(java.lang.String entityName)`
`java.lang.String` | `getEntityValue(char value)`
`boolean` | `hasEntityValue(char value)`
`void` | `removeEntity(java.lang.String name)` Remove an entity value
`void` | `removeEntityValue(char value)`
`void` | `setEnableDefaultXMLEntities(boolean enable)` Supports for standard XML Entities : '<,>,",&'
`void` | `storeEntity(java.lang.String name, char value)` Store an entity value
`void` | `storeEntityValue(char value, java.lang.String entityName)` Store the tied entity for the character value

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LT_ENTITY

    public static java.lang.String LT_ENTITY

### GT_ENTITY

    public static java.lang.String GT_ENTITY

### QUOTE_ENTITY

    public static java.lang.String QUOTE_ENTITY

### AMP_ENTITY

    public static java.lang.String AMP_ENTITY

Constructor Detail

### XMLEntityResolver

    public XMLEntityResolver()

Method Detail

### setEnableDefaultXMLEntities

    public void setEnableDefaultXMLEntities(boolean enable)

  Supports for standard XML Entities : '<,>,",&'

### storeEntityValue

    public void storeEntityValue(char value,
                                 java.lang.String entityName)

  Store the tied entity for the character value

### removeEntityValue

    public void removeEntityValue(char value)

### getEntityValue

    public java.lang.String getEntityValue(char value)

  Returns:
    an entity for the char value

### hasEntityValue

    public boolean hasEntityValue(char value)

  Returns:
    `true` if value is known for an entity

### storeEntity

    public void storeEntity(java.lang.String name,
                            char value)

  Store an entity value

### removeEntity

    public void removeEntity(java.lang.String name)

  Remove an entity value

### getEntityResolution

    public char getEntityResolution(java.lang.String entityName)
                             throws UnknownEntity

  Returns:
    an entity value for the entity name
    `UnknownEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD